Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class AbstractListModel

    java.lang.Object
      charvax.swing.AbstractListModel

All Implemented Interfaces:
  ListModel

Direct Known Subclasses:
  DefaultComboBoxModel, DefaultListModel

public abstract class AbstractListModel
extends java.lang.Object
implements ListModel

The abstract base class for classes that implement the ListModel interface.

Field Summary
`protected java.util.ArrayList` | `_listeners` A list of ListDataListeners registered for this object.

Constructor Summary
`AbstractListModel()`

Method Summary
`void` | `addListDataListener(ListDataListener l_)` Register an ListDataListener object.
`void` | `fireContentsChanged(java.lang.Object source_, int index0_, int index1_)` Subclasses of AbstractListModel must call this method after the contents of one or more elements of the list has changed.
`void` | `fireIntervalAdded(java.lang.Object source_, int index0_, int index1_)` Subclasses of AbstractListModel must call this method after one or more elements of the list has been added to the model.
`void` | `fireIntervalRemoved(java.lang.Object source_, int index0_, int index1_)` Subclasses of AbstractListModel must call this method after one or more elements of the list has been removed from the model.
`void` | `removeListDataListener(ListDataListener l_)` Remove the specified ListDataListener from the list of listeners that will be notified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface charvax.swing.ListModel
`getElementAt, getSize`

Field Detail

### _listeners

    protected java.util.ArrayList _listeners

  A list of ListDataListeners registered for this object.

Constructor Detail

### AbstractListModel

    public AbstractListModel()

Method Detail

### addListDataListener

    public void addListDataListener(ListDataListener l_)

  Register an ListDataListener object.

  Specified by:
    `addListDataListener` in interface `ListModel`

### removeListDataListener

    public void removeListDataListener(ListDataListener l_)

  Remove the specified ListDataListener from the list of listeners that will be notified.

  Specified by:
    `removeListDataListener` in interface `ListModel`

### fireContentsChanged

    public void fireContentsChanged(java.lang.Object source_,
                                    int index0_,
                                    int index1_)

  Subclasses of AbstractListModel must call this method after the contents of one or more elements of the list has changed.

### fireIntervalRemoved

    public void fireIntervalRemoved(java.lang.Object source_,
                                    int index0_,
                                    int index1_)

  Subclasses of AbstractListModel must call this method after one or more elements of the list has been removed from the model.

### fireIntervalAdded

    public void fireIntervalAdded(java.lang.Object source_,
                                  int index0_,
                                  int index1_)

  Subclasses of AbstractListModel must call this method after one or more elements of the list has been added to the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD